![Stack](https://i.imgur.com/cCiHOGS.jpg)
# Hugo Theme Stack

> 一款卡片式风格的 Hugo 博客主题

## 预览

[演示站点](https://theme-stack.jimmycai.com/)

[![Netlify Status](https://api.netlify.com/api/v1/badges/a2d2807a-a905-4bcb-97da-8da8d847da3d/deploy-status)](https://app.netlify.com/sites/hugo-theme-stack/deploys)

## 文档 & 更多信息

[英文文档](https://www.notion.so/jimmycai/Hugo-Theme-Stack-511aec5b9ed845ce9b6e3ae0bf7fb6d4) | [中文文档](https://www.notion.so/jimmycai/Hugo-Theme-Stack-511aec5b9ed845ce9b6e3ae0bf7fb6d4)

## 介绍

Stack 是一款卡片风格的 Hugo 博客主题，以下是一些它的功能特性:

- 支持响应式图片
- 图片懒加载
- 暗色模式
- [PhotoSwipe](https://photoswipe.com/) 插件集成
- 归档页面
- 完全原生的 JavaScript，不依赖 jQuery 和其它任何框架
- 没有 CSS 框架，保持简单和最小化
- 外部依赖项 (例如 PhotoSwipe 库) 被选择性和非同步性的加载
- 裁剪得当的缩略图

唯一使用的 JavaScript 库是 [node-vibrant](https://github.com/Vibrant-Colors/node-vibrant)，它被用来生成文章的配色方案。

![Page Insight](https://i.imgur.com/0hUWmMh.png)

## 要求

主题使用 SCSS 和 TypeScript。因此, 要求 **Hugo ≥ 0.74.0**。

如果需要使用以下可能，请使用 Hugo 的扩展版本:

* 使用 `master` 分支的最新功能和修复
* 编辑 SCSS 文件
  
**编译的 CSS 文件每个版本更新一次。**

## 安装

克隆或者下载仓库中的 `theme` 文件夹，安装您的网站配置来编辑 `exampleSite/config.toml` 文件。

查看 [文档](https://www.notion.so/jimmycai/Hugo-Theme-Stack-511aec5b9ed845ce9b6e3ae0bf7fb6d4) 来获取更多详细信息。

## 版权

**使用 GPL v3.0 许可**

请不要移除 "*Theme Stack designed by Jimmy*" 中的文字和链接。

如果您想将本主题移植到其它主题平台，请联系我🙏。

## 捐赠

如果您喜欢这个主题，可以考虑支持它的开发:

<a href="https://www.buymeacoffee.com/jimmycai" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-green.png" alt="Buy Me A Coffee" height="60px" width="217px"></a>

你的支持将是对我极大的赞赏和动力 :)

## 致谢

  - [Vibrant-Colors/node-vibrant](https://github.com/Vibrant-Colors/node-vibrant)
  - [Normalize.css](https://necolas.github.io/normalize.css/)
  - [Tabler icons](https://tablericons.com/)
  - [Pure CSS implementation of Google Photos / 500px image layout](https://github.com/xieranmaya/blog/issues/6)
  - [jonsuh/hamburgers](https://github.com/jonsuh/hamburgers)
  - [PhotoSwipe](https://photoswipe.com/)
  - [artchen/hexo-theme-element](https://github.com/artchen/hexo-theme-element)
  - [MunifTanjim/minimo](https://github.com/MunifTanjim/minimo)
  - [lepture/yue.css](https://github.com/lepture/yue.css)
  - Markdown gallery 语法来自 [Typlog](https://typlog.com/)
